---
updatedAt: 2025-07-30T16:15:37.000Z
agentTools:
  projectIndex: https://docs.supplierxm.salsify.com/llms.txt
---

# Update Answer

## List of errors

All errors will follow this pattern :

```json
{
    "message": "You don't have the permission to perform this action",
    "status": 403,
    "data": {
        ...
    }
}
```

You will often find more details in the `data` object and when there are several errors on a bulk update, you will find the list of errors in the `errors` array.

<HTMLBlock>{`
<table class="errors-table">
    <thead>
        <tr>
            <th>Status</th>
            <th>Message</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td rowspan=8>400</td>
            <td>Too many Answers, maximum is 200</td>
        </tr>
        <tr>
            <td>Bad parameter in answers</td>
        </tr>
        <tr>
            <td>Payload malformed: {error}</td>
        </tr>
        <tr>
            <td>RFP is declined, you cannot update delete or create an answer.</td>
        </tr>
        <tr>
            <td>RFP is closed, you cannot update delete or create an answer.</td>
        </tr>
        <tr>
            <td>The product(s) {gtin} must be shared first with the retailer to be attached to a proposal</td>
        </tr>
        <tr>
            <td>Duplicate answers for the product : {product_gtin}</td>
        </tr>
        <tr>
            <td>Duplicate answers for the product / hierarchy product : {product_gtin} / {hierarchy_gtin}</td>
        </tr>
        <tr>
            <td rowspan=1>403</td>
            <td>You don't have the permission to perform this action</td>
        </tr>
        <tr>
            <td rowspan=3>404</td>
            <td>Answer not found for this business unit</td>
        </tr>
        <tr>
            <td>business unit not found for this supplier</td>
        </tr>
        <tr>
            <td>answer(s) not found for this supplier</td>
        </tr>
        <tr>
            <td rowspan=1>500</td>
            <td>Internal server error</td>
        </tr>
    </tbody>
</table>

<style>
	.errors-table td {
    text-align: center;
  }
  .errors-table td:last-of-type {
    text-align: left;
  }
</style>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "tenders-public-supplier",
    "version": "2.1"
  },
  "servers": [
    {
      "url": "https://apis.supplierxm.salsify.com/rfp/public/"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "SALSIFY_TOKEN"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/answers": {
      "put": {
        "summary": "Update Answer",
        "description": "",
        "operationId": "update-answer",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "answers": {
                    "properties": {
                      "uuid": {
                        "type": "string",
                        "description": "The uuid of the answer"
                      },
                      "product": {
                        "properties": {
                          "gtin": {
                            "type": "string",
                            "description": "GTIN of the product"
                          }
                        },
                        "required": [
                          "gtin"
                        ],
                        "type": "object"
                      },
                      "data": {
                        "type": "object",
                        "description": "All the available fields are documented [Attributes documentation](https://datamodel.app.supplierxm.salsify.com/?root=13)",
                        "properties": {}
                      }
                    },
                    "required": [
                      "uuid"
                    ],
                    "type": "object"
                  },
                  "business_unit": {
                    "properties": {
                      "uuid": {
                        "type": "string",
                        "description": "The uuid of the business unit"
                      }
                    },
                    "required": [
                      "uuid"
                    ],
                    "type": "object"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"answers\": [\n        {\n            \"uuid\": \"ANSWER_UUID\",\n            \"product\": {\n                \"gtin\": \"GTIN\"\n            },\n            \"data\": {\n                \"comment\": [\n                    {\n                        \"data\": \"Answer 1\",\n                        \"expressedIn\": {\n                            \"code\": \"fra-FR\",\n                            \"rank\": null,\n                            \"label\": \"fra-FR\",\n                            \"description\": \"fra-FR\",\n                            \"expressedIn\": [],\n                            \"_type\": \"Language\",\n                            \"data\": {\n                                \"locale\": \"fr_FR\",\n                                \"GDSN3.1\": \"fr-250\",\n                                \"GDSN2.8\": \"fr-250\"\n                            },\n                            \"normalizedCode\": \"fr\"\n                        }\n                    }\n                ]\n            },\n            \"status\": \"DRAFT\",\n            \"sendable\": false\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "answers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "example": "ANSWER_UUID"
                          },
                          "product": {
                            "type": "object",
                            "properties": {
                              "gtin": {
                                "type": "string",
                                "example": "GTIN"
                              }
                            }
                          },
                          "data": {
                            "type": "object",
                            "properties": {
                              "comment": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "data": {
                                      "type": "string",
                                      "example": "Answer 1"
                                    },
                                    "expressedIn": {
                                      "type": "object",
                                      "properties": {
                                        "code": {
                                          "type": "string",
                                          "example": "fra-FR"
                                        },
                                        "rank": {},
                                        "label": {
                                          "type": "string",
                                          "example": "fra-FR"
                                        },
                                        "description": {
                                          "type": "string",
                                          "example": "fra-FR"
                                        },
                                        "expressedIn": {
                                          "type": "array"
                                        },
                                        "_type": {
                                          "type": "string",
                                          "example": "Language"
                                        },
                                        "data": {
                                          "type": "object",
                                          "properties": {
                                            "locale": {
                                              "type": "string",
                                              "example": "fr_FR"
                                            },
                                            "GDSN3.1": {
                                              "type": "string",
                                              "example": "fr-250"
                                            },
                                            "GDSN2.8": {
                                              "type": "string",
                                              "example": "fr-250"
                                            }
                                          }
                                        },
                                        "normalizedCode": {
                                          "type": "string",
                                          "example": "fr"
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "status": {
                            "type": "string",
                            "example": "DRAFT"
                          },
                          "sendable": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n     --url https://apis.supplierxm.salsify.com/rfp/public/v1/answers \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer SALSIFY_TOKEN' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n        {\n          \"answers\": [\n            {\n\t            \"uuid\": \"ANSWER_UUID\",\n              \"product\": {\n                \"gtin\": \"GTIN\"\n              },\n              \"data\": {\n                \"comment\": [\n                  {\n                    \"data\": \"Answer 1\",\n                    \"expressedIn\": {\n                      \"code\": \"fra-FR\"\n                    }\n                  }\n                ]\n              }\n            }\n          ],\n          \"business_unit\": {\n         \t\t \"uuid\":\"BUSINESS_UNIT_UUID\"\n          }\n        }'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```